package com.chenyang.nse.bussiness.engine.infa.basic.wsclient;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "TaskTopLevelParent",
   propOrder = {"folderId", "folderName", "workflowId", "workflowName", "taskInstanceId", "taskInstanceName", "topLevelParentId", "topLevelParentName"}
)
public class TaskTopLevelParent {
   @XmlElement(
      name = "FolderId"
   )
   protected int folderId;
   @XmlElement(
      name = "FolderName",
      required = true
   )
   protected String folderName;
   @XmlElement(
      name = "WorkflowId"
   )
   protected int workflowId;
   @XmlElement(
      name = "WorkflowName",
      required = true
   )
   protected String workflowName;
   @XmlElement(
      name = "TaskInstanceId"
   )
   protected int taskInstanceId;
   @XmlElement(
      name = "TaskInstanceName",
      required = true
   )
   protected String taskInstanceName;
   @XmlElement(
      name = "TopLevelParentId"
   )
   protected int topLevelParentId;
   @XmlElement(
      name = "TopLevelParentName",
      required = true
   )
   protected String topLevelParentName;

   public int getFolderId() {
      return this.folderId;
   }

   public void setFolderId(int value) {
      this.folderId = value;
   }

   public String getFolderName() {
      return this.folderName;
   }

   public void setFolderName(String value) {
      this.folderName = value;
   }

   public int getWorkflowId() {
      return this.workflowId;
   }

   public void setWorkflowId(int value) {
      this.workflowId = value;
   }

   public String getWorkflowName() {
      return this.workflowName;
   }

   public void setWorkflowName(String value) {
      this.workflowName = value;
   }

   public int getTaskInstanceId() {
      return this.taskInstanceId;
   }

   public void setTaskInstanceId(int value) {
      this.taskInstanceId = value;
   }

   public String getTaskInstanceName() {
      return this.taskInstanceName;
   }

   public void setTaskInstanceName(String value) {
      this.taskInstanceName = value;
   }

   public int getTopLevelParentId() {
      return this.topLevelParentId;
   }

   public void setTopLevelParentId(int value) {
      this.topLevelParentId = value;
   }

   public String getTopLevelParentName() {
      return this.topLevelParentName;
   }

   public void setTopLevelParentName(String value) {
      this.topLevelParentName = value;
   }
}
